[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Linux-cluster] clvmd version mismatch



Dan Brown wrote:
> I'm trying to get a two node GFS2 cluster running on a pair of test
> machines using GFS2 on top of a clustered lvm2 disk replicated over a
> DRBD 8.2.0 active/active link. 
> After starting up drbd and cman, I attempt to start up rgmanager and
> clvmd and they both fail with this message in /var/log/syslog.
>
> Nov 13 22:25:36 seahawk kernel: dlm: process clurgmgrd (19787) version
> mismatch user (5.0.0) kernel (6.0.0)
> Nov 13 22:26:06 seahawk kernel: dlm: process clvmd (20143) version
> mismatch user (5.0.0) kernel (6.0.0)
>
> After trying to tune in various parameters to get more logging or
> debugging, apart from a somewhat uninformative strace, I can't seem to
> find a whole lot more about which userspace items are conflicting with
> which kernel space items. 
>   
The conflict is between libdlm and DLM in the kernel. if you upgrade to
the latest libdlm then that should fix it.

Patrick


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]